﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Sample
{
    public partial class Default : System.Web.UI.Page
    {
        List<Customer> customers = new List<Customer>();
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            for (int i = 1; i < 10; i++)
            {
                customers.Add(new Customer() { text = "Andreas", value = "Andreas" });
                customers.Add(new Customer() { text = "Frank", value = "Frank" });
                customers.Add(new Customer() { text = "Willi", value = "Willi" });
                customers.Add(new Customer() { text = "Horst", value = "Horst" });
                customers.Add(new Customer() { text = "Manfred", value = "Manfred" });
            }
            BindDataSource();
        }

        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "Andreas", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "Frank", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "Willi", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "Horst", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "Manfred", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
            this.Grid.DataSource = order;
            var index = this.Grid.Columns.FindIndex(col => col.Field == "CustomerID");
            this.Grid.Columns.ElementAt(index).DataSource = customers;
            this.Grid.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity; 
            }
            public long OrderID { get; set; }
            public int EmployeeID { get; set; }
            public string CustomerID { get; set;}
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }

        public class Customer
        {
            public Customer()
            {

            }

        public Customer (string text, string value)
        {
            this.text = text;
            this.value = value;
        }
            public string text { get; set; }
            public string value { get; set; }
    }
  }
}